be.vlaanderen.mercurius.mohm.common.v7

## Class ApplicationBasicEquipmentType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ApplicationBasicEquipmentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:35:23+02:00",
                 comments="JAXB RI v2.3.7")
      public class ApplicationBasicEquipmentType
      extends Object
      implements Serializable

  Generiek type voor het basishulpmiddel in een aanvraag.

  Java class for ApplicationBasicEquipmentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ApplicationBasicEquipmentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
               <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProductNumberType" minOccurs="0"/>
               <element name="PublicPrice" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
               <element name="AllowanceVSB" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
               <element name="Supplement" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
               <element name="SupportAndRepairCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationBasicEquipmentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getAllowanceVSB()` Gets the value of the allowanceVSB property.
    `String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
    `String` | `getProductnumber()` Gets the value of the productnumber property.
    `BigDecimal` | `getPublicPrice()` Gets the value of the publicPrice property.
    `BigDecimal` | `getSupplement()` Gets the value of the supplement property.
    `String` | `getSupportAndRepairCode()` Gets the value of the supportAndRepairCode property.
    `void` | `setAllowanceVSB(BigDecimal value)` Sets the value of the allowanceVSB property.
    `void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
    `void` | `setProductnumber(String value)` Sets the value of the productnumber property.
    `void` | `setPublicPrice(BigDecimal value)` Sets the value of the publicPrice property.
    `void` | `setSupplement(BigDecimal value)` Sets the value of the supplement property.
    `void` | `setSupportAndRepairCode(String value)` Sets the value of the supportAndRepairCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationBasicEquipmentType

          public ApplicationBasicEquipmentType()

  - ### Method Detail

    - #### getCareServiceCode

          public String getCareServiceCode()

      Gets the value of the careServiceCode property.
      Returns:
        possible object is `String`

    - #### setCareServiceCode

          public void setCareServiceCode(String value)

      Sets the value of the careServiceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProductnumber

          public String getProductnumber()

      Gets the value of the productnumber property.
      Returns:
        possible object is `String`

    - #### setProductnumber

          public void setProductnumber(String value)

      Sets the value of the productnumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPublicPrice

          public BigDecimal getPublicPrice()

      Gets the value of the publicPrice property.
      Returns:
        possible object is `BigDecimal`

    - #### setPublicPrice

          public void setPublicPrice(BigDecimal value)

      Sets the value of the publicPrice property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getAllowanceVSB

          public BigDecimal getAllowanceVSB()

      Gets the value of the allowanceVSB property.
      Returns:
        possible object is `BigDecimal`

    - #### setAllowanceVSB

          public void setAllowanceVSB(BigDecimal value)

      Sets the value of the allowanceVSB property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getSupplement

          public BigDecimal getSupplement()

      Gets the value of the supplement property.
      Returns:
        possible object is `BigDecimal`

    - #### setSupplement

          public void setSupplement(BigDecimal value)

      Sets the value of the supplement property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getSupportAndRepairCode

          public String getSupportAndRepairCode()

      Gets the value of the supportAndRepairCode property.
      Returns:
        possible object is `String`

    - #### setSupportAndRepairCode

          public void setSupportAndRepairCode(String value)

      Sets the value of the supportAndRepairCode property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.